package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionTaskDto;
import com.sd.business.entity.production.dto.ProductionTaskSelectDto;
import com.sd.business.entity.production.po.ProductionTask;
import com.sd.business.entity.production.vo.ProductionTaskVo;

import java.util.Date;
import java.util.List;


/**
 * <p>
 * 生产任务 服务类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionTaskService extends BaseService<ProductionTask> {

    /**
     * 生产任务分页
     */
    Page<ProductionTaskVo> getPage(ProductionTaskSelectDto dto);


    /**
     * 根据订单生成生产任务和工单
     * @param orderId
     */
    void addTaskAndWorkOrder(Long orderId);

    /**
     * 完成生产任务
     */
    void completeTask(Long orderId, Date completeTime);

    /**
     * 批量完成生产任务
     */
    void completeTaskBatch(List<ProductionTaskDto> productionTaskDtoList);
}
